<div layout="row" ng-if="$ctrl.block">
    <div ng-if="$ctrl.editMode===false" class="plant-edit-multi-images-container" flex="70" layout="row">
        <div class="plant-edit-thumb-container" ng-style="$ctrl.pictureViewStyle">
            <img ng-style="$ctrl.imgViewStyle"
                 ng-click="previewImage($ctrl.block.images[$ctrl.visibleIndex].preview_url, $event) "
                 class="img-center-cropped-100-100 " ng-src="{{$ctrl.block.images[$ctrl.visibleIndex].preview_url}}">
        </div>
        <div class="image-preview-count">
            <span>{{$ctrl.block.images.length}} obrazku ({{$ctrl.visibleIndex + 1}}/{{$ctrl.block.images.length}})</span>
        </div>
        <div class="image-preview-next-slide" ng-if="$ctrl.visibleIndex < $ctrl.block.images.length-1">
            <md-button flex="none" ng-click="nextSlide()" class="md-fab md-mini" aria-label="Next image">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.nextSlide()">keyboard_arrow_right</md-icon>
            </md-button>
        </div>
        <div class="image-preview-prev-slide" ng-if="$ctrl.visibleIndex > 0">
            <md-button flex="none" ng-click="prevSlide()" class="md-fab md-mini" aria-label="Previous image">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.prevSlide()">keyboard_arrow_left</md-icon>
            </md-button>
        </div>
    </div>
    <div ng-if="$ctrl.editMode===true " layout="column">
        <images-block images="$ctrl.editBlockImages "></images-block>
        <image-alignment ng-if="$ctrl.editMode===true" display="$ctrl.block.display"
                         display-vertical-offset="$ctrl.block.display_vertical_offset"></image-alignment>
        <div layout="row">
            <div flex="none">
                <md-button class="md-raised md-primary" ng-click="$ctrl.saveBlock()"
                           ng-disabled="$ctrl.editBlockContent.length === 0">Save
                </md-button>
                <md-button ng-click="$ctrl.cancelEdit($event)">cancel</md-button>
            </div>
            <div flex="auto"></div>
        </div>
    </div>
    <div flex="30 " layout="column " ng-if="$ctrl.editMode===false ">
        <div layout="row ">
            <md-button class="md-fab md-mini " aria-label="Edit ">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.editBlock() ">mode_edit</md-icon>
            </md-button>
            <md-button class="md-fab md-mini " aria-label="Delete ">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.deleteBlock($event) ">delete</md-icon>
            </md-button>
            <md-button class="md-fab md-primary md-mini " aria-label="Move up " ng-if="!$ctrl.isFirst ">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.moveUp() ">arrow_upward</md-icon>
            </md-button>
            <md-button class="md-fab md-primary md-mini " aria-label="Move daown " ng-if="!$ctrl.isLast ">
                <md-icon md-font-icon="material-icons " ng-click="$ctrl.moveDown() ">arrow_downward</md-icon>
            </md-button>
        </div>
    </div>
</div>